

<div class="container-fluid">
  <div class="row g-2 my-2">
    <div *ngFor="let room of list" class="card col-md-4 col-md-4">
      <img [src]="room.picture" class="card-img-top" alt="...">
      <div class="card-body">
        <h5 class="card-title">{{room.number}}</h5>
        <p class="card-text">{{room.description}}</p>
        <h3 class="card-title">{{room.price|number:'0.2'}}€</h3>
        <div >
           <button class="btn btn-outline-success btn-lg" (click)="add(room.id!)">Ajouter</button>
          <button class="btn btn-outline-danger btn-lg" (click)="delete(room.id!)">Supprimer</button>
          <button class="btn btn-outline-primary btn-lg" (click)="showEditForm(room)">Modifier</button>
        </div>
      </div>
    </div>
  </div>
</div>




<div *ngIf="displayEditForm">
  <h4>Modification de la réservation</h4>
  <form (ngSubmit)="update(modifiedRo)">
    <label for="label">Number :</label>
    <input [(ngModel)]="modifiedRo.number" type="text" name="number" id="number">
    <label for="description">Description :</label>
    <textarea [(ngModel)]="modifiedRo.description" name="description" id="description" cols="60" rows="20">Modifier une réservation</textarea>
    <label for="label">Price :</label>
    <input [(ngModel)]="modifiedRo.price" type="text" name="price" id="price">
    <div>
      <input class="btn btn-primary" type="submit" value="Enregister"/>
    </div>
  </form>
</div>



<!-- <div *ngFor="let item of list">
      <button (click)="delete(item.id!)">Delete</button>
      <button (click)="showEditForm(item)">Edit</button>
      <a routerLink="/room/{{item.id}}">Détail</a>
      {{item.number}} : {{item.description}} {{item.price}}
</div> -->

<!--
<div *ngIf="displayEditForm">
  <h2>Modification de la chambre</h2>
  <form (ngSubmit)="update(modifiedRo)">
      <label for="number">number :</label>
      <input [(ngModel)]="modifiedRo.number" type="text" name="number" id="number">
      <br>
      <label for="description">Description :</label>
      <input [(ngModel)]="modifiedRo.description" type="text" name="description" id="description">
      <br>
      <label for="price">Price :</label>
      <input [(ngModel)]="modifiedRo.price" type="text" name="price" id="price">
      <br>
      <input class="btn btn-primary" type="submit" value="Enregister" />
    </form>
</div> -->

<!--
<div class="card" style="width: 100%" *ngFor="let item of list">
  <div class="card-body">
    <h5 class="card-title">{{item.number}}</h5>
    <h6 class="card-subtitle mb-2 text-muted">{{item.description}}</h6>
    <p class="card-text">{{item.price}}</p>
    <button class="btn btn-primary btn-lg" (click)="delete(item.id!)">Annuler</button>
    <button class="btn btn-primary btn-lg" (click)="showEditForm(item)">Modifier</button>

  </div>
</div> -->
<!-- <div class="container-fluid">
  <div class="row g-2 my-2">
    <div *ngFor="let article of articles" class="card col-12 col-md-5">
      <div class="card-body">
        <h5 class="card-title">{{article.titre}}</h5>
        <h6 class="card-subtitle mb-2 text-muted">Crée le : {{article.date|date}}</h6>
        <p class="card-text">{{article.contenu}}.</p>
        <a routerLink="/article/{{article.id}}" class="card-link">Détail</a>
        <div>
          <button class="btn btn-primary btn-lg" (click)="delete(article.id!)">Supprimer</button>
          <button class="btn btn-primary btn-lg" (click)="showEditForm(article)">Modifier</button>
        </div>
      </div>
    </div>
  </div>
</div> -->

<!--
<div *ngIf="displayEditForm">
  <h4>Modification de l'article</h4>
  <form (ngSubmit)="update(modifiedRo)">
    <label for="label">Titre :</label>
    <input [(ngModel)]="modifiedRo.number" type="text" name="title" id="title">
    <label for="content">contenu :</label>
    <textarea [(ngModel)]="modifiedRo.description" name="content" id="content" cols="60"
      rows="20">Modifier un Article</textarea>
    <div>
      <input class="btn btn-primary" type="submit" value="Enregister" />
    </div>
  </form>
</div> -->
